ListRecentCertChanges

Prev Next

Available in Classic and VPC

Get the list of certificates whose status changed during the specified period (minutes or seconds).

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /certificate/recentChanges

Request headers

For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.

Request query parameters

The following describes the parameters.

Field Type Required Description
minutes Integer Optional Limit results to requests whose status changed within the last N minutes
  • N-10080
seconds Integer Optional Limit results to requests whose status changed within the last N seconds
  • N-604800

Request example

The request example is as follows:

curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/getVerificationInfo/55332?domainAddress=ncloud.com \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
returnMessage String - Response message
totalCount Integer - Total number of lists searched
orders Array - Request list

orders

The following describes orders.

Field Type Required Description
orderId String - Organization number
certificateId Integer - Certificate number
status String - Validation status
  • Normal | Ongoing | Validation timed out
    • Normal: Validation completed
    • Ongoing: Validation in progress
    • Validation timed out: Validation timeout

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.

Response example

The response example is as follows:

{
    "returnCode": "0",
    "returnMessage": "Success",
    "totalCount": 2,
    "orders": [
        {
            "orderId": "410",
            "certificateId": 55991,
            "status": "Ongoing"
        },
        {
            "orderId": "447",
            "certificateId": 55990,
            "status": "Ongoing"
        }
    ]
}